sync plan start time is incorrectly claiming that is accepts GMT

08/26/2014 03:30 PM - Walden Raines

Status: Closed   

Priority: Normal   

Assignee: Walden Raines   

Category: Web UI   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1131661 Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/461
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1131661

Description of problem:

sync plan start time is incorrectly claiming that is accepts GMT

Version-Release number of selected component (if applicable):

GA Snap 5 - Satellite-6.0.4-RHEL-6-20140813.2

apr-util-ldap-1.3.9-3.el6_0.1.x86_64

candlepin-0.9.23-1.el6_5.noarch

candlepin-common-1.0.1-1.el6_5.noarch

candlepin-scl-1-5.el6_4.noarch

candlepin-scl-quartz-2.1.5-5.el6_4.noarch

candlepin-scl-rhino-1.7R3-1.el6_4.noarch

candlepin-scl-runtime-1-5.el6_4.noarch

candlepin-selinux-0.9.23-1.el6_5.noarch

candlepin-tomcat6-0.9.23-1.el6_5.noarch

elasticsearch-0.90.10-4.el6sat.noarch

foreman-1.6.0.40-1.el6sat.noarch

foreman-compute-1.6.0.40-1.el6sat.noarch

foreman-gce-1.6.0.40-1.el6sat.noarch

foreman-libvirt-1.6.0.40-1.el6sat.noarch

foreman-ovirt-1.6.0.40-1.el6sat.noarch

foreman-postgresql-1.6.0.40-1.el6sat.noarch

foreman-proxy-1.6.0.27-1.el6sat.noarch

foreman-selinux-1.6.0.6-1.el6sat.noarch

foreman-vmware-1.6.0.40-1.el6sat.noarch

katello-1.5.0-28.el6sat.noarch

katello-ca-1.0-1.noarch

katello-certs-tools-1.5.6-1.el6sat.noarch

katello-installer-0.0.59-1.el6sat.noarch

openldap-2.4.23-34.el6_5.1.x86_64

openldap-devel-2.4.23-34.el6_5.1.x86_64

pulp-katello-0.3-3.el6sat.noarch

pulp-nodes-common-2.4.0-0.30.beta.el6sat.noarch

pulp-nodes-parent-2.4.0-0.30.beta.el6sat.noarch

pulp-puppet-plugins-2.4.0-0.30.beta.el6sat.noarch

pulp-puppet-tools-2.4.0-0.30.beta.el6sat.noarch

pulp-rpm-plugins-2.4.0-0.30.beta.el6sat.noarch

pulp-selinux-2.4.0-0.30.beta.el6sat.noarch

pulp-server-2.4.0-0.30.beta.el6sat.noarch

python-ldap-2.3.10-1.el6.x86_64

ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch

ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch

How reproducible:
Steps to Reproduce:

1. The sync plan start time says "Start Time ( GMT)" (see screenshot) but it accepts and processes my time as EDT

Actual results:

The UI says it accepts the time as GMT but it really processes my time as EDT

Expected results:

Perhaps remove (GMT) from UI?

Additional info:

Associated revisions

Revision 275c9fc9 - 08/26/2014 03:32 PM - Walden Raines

Fixes #7270/BZ1131661: remove GMT from new sync plan form.

Sync plan start time was listed as being in GMT and this is not

the case.  This commit removes the timezone designation.

http://projects.theforeman.org/issues/7270

https://bugzilla.redhat.com/show_bug.cgi?id=1131661

Revision b926deee - 08/26/2014 03:32 PM - Walden Raines

Fixes #7270/BZ1131661: remove GMT from new sync plan form.

Sync plan start time was listed as being in GMT and this is not

the case.  This commit removes the timezone designation.

http://projects.theforeman.org/issues/7270

https://bugzilla.redhat.com/show_bug.cgi?id=1131661

Revision 0f5248b7 - 08/27/2014 09:00 AM - Walden Raines

Merge pull request #4614 from waldenraines/7270

Fixes #7270/BZ1131661: remove GMT from new sync plan form.

History

#1 - 08/26/2014 03:33 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 63

- Pull request https://github.com/Katello/katello/pull/4614 added

- Pull request deleted ()

#2 - 08/27/2014 09:01 AM - Walden Raines

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|275c9fc986e8dc3e38e89cffb8f0c04520b02fb6.

#3 - 08/27/2014 09:22 AM - Eric Helms

- Triaged changed from No to Yes

#4 - 08/27/2014 09:24 AM - Eric Helms

- Target version changed from 63 to 55

#5 - 09/15/2014 02:21 PM - Eric Helms

- translation missing: en.field_release set to 13
